/* Copyright 2014-2017 Research Foundation State University of New York   */

/* This file is part of QUB Online.                                       */

/* QUB Online is free software; you can redistribute it and/or modify    */
/* it under the terms of the GNU General Public License as published by   */
/* the Free Software Foundation, either version 3 of the License, or      */
/* (at your option) any later version.                                    */

/* QUB Online is distributed in the hope that it will be useful,         */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of         */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          */
/* GNU General Public License for more details.                           */

/* You should have received a copy of the GNU General Public License,     */
/* named LICENSE.txt, in the QUB Online program directory.  If not, see  */
/* <http://www.gnu.org/licenses/>.                                        */

#ifndef QUBX_MAC_DATAPREP_H
#define QUBX_MAC_DATAPREP_H

#include "max_mac_ll.h"

#ifdef __cplusplus
extern "C" {
#endif
  

QUBFAST_API void qubx_mac_data_append_chunk_signals(void *data, int seg_ix, double dur_sec, double t0, double dt,
						    int Nsignal, int Nd, float **signals,
						    int Nstimulus, float *defaults, float *combineDelta);

QUBFAST_API void* qubx_mac_idlcls_create(double delta);
QUBFAST_API void qubx_mac_idlcls_free(void *obj);
QUBFAST_API int qubx_mac_idlcls_add(void *obj, double sampling, int Ndwell, float *durations, double *amps, double *stds, int *classes);
QUBFAST_API int qubx_mac_idlcls_read(void *obj, int Nclass, double *amps, double *stds);

#ifdef __cplusplus
}
#endif

#endif
